import 'dart:async';

import 'package:flutter/services.dart';

class SheepAuth {
  static const MethodChannel _channel = const MethodChannel("sheep_auth");

  static Future<void> configure({ String googleIdToken }) async {
    await _channel.invokeMethod("configure", { "google_id_token" : googleIdToken });
  }

  static Future<User> authWithGoogle() async {
    final userMap = await _channel.invokeMethod('auth_with_google');
    return User(userMap["token"], userMap["name"], userMap["id"], userMap["email"], userMap["photo_url"]);
  }
}

class User {
  final String token;
  final String name;
  final String id;
  final String email;
  final String photoUrl;
  User(this.token, this.name, this.id, this.email, this.photoUrl);
}

